<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--
    Copyright (C) 2008 Andrea Musuruane <musuruan@gmail.com>
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-->

<xsl:output method="xml" encoding="iso-8859-1" indent="yes" />
<xsl:template match="/">
    <feeds>
    <xsl:apply-templates select="//outline" />
    </feeds>
</xsl:template>

<xsl:template match="outline">
    <xsl:choose>
        <xsl:when test="@type='rss'">
            <feed>
                <name><xsl:value-of select="@title" /></name>
                <url><xsl:value-of select="@xmlUrl" /></url>
             </feed>
        </xsl:when>
    </xsl:choose>
</xsl:template>
</xsl:stylesheet>

